DynamicJava Javadoc: Class ParserTokenManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.parser
Class ParserTokenManager

    java.lang.Object
      |
      +--koala.dynamicjava.parser.ParserTokenManager

All Implemented Interfaces:
  ParserConstants

public class ParserTokenManager
extends java.lang.Object
implements ParserConstants

Field Summary
`protected char` | `curChar`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface koala.dynamicjava.parser.ParserConstants
`_DEFAULT, ABSTRACT, AND_ASSIGN, ASSIGN, BANG, BITWISE_AND, BITWISE_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONDITIONAL_AND, CONDITIONAL_OR, CONST, CONTINUE, DECIMAL_LITERAL, DECREMENT, DEFAULT, DIGIT, DO, DOT, DOUBLE, DOUBLE_LITERAL, ELSE, EOF, EQUAL, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOAT_LITERAL, FOR, FORMAL_COMMENT, GOTO, GREATER_OR_EQUAL, GREATER_THAN, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCREMENT, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LEFT_SHIFT, LEFT_SHIFT_ASSIGN, LESS, LESS_OR_EQUAL, LETTER, LONG, LONG_LITERAL, LPAREN, MINUS, MINUS_ASSIGN, MULTI_LINE_COMMENT, NATIVE, NEW, NOT_EQUAL, NULL, OCTAL_LITERAL, OR_ASSIGN, PACKAGE, PLUS, PLUS_ASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REMAINDER, REMAINDER_ASSIGN, RETURN, RIGHT_SIGNED_SHIFT, RIGHT_SIGNED_SHIFT_ASSIGN, RIGHT_UNSIGNED_SHIFT, RIGHT_UNSIGNED_SHIFTASSIGN, RPAREN, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASH_ASSIGN, STAR, STAR_ASSIGN, STATIC, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XOR_ASSIGN`

Constructor Summary
`ParserTokenManager(ASCII_UCodeESC_CharStream stream)`
`ParserTokenManager(ASCII_UCodeESC_CharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(ASCII_UCodeESC_CharStream stream)`
`void` | `ReInit(ASCII_UCodeESC_CharStream stream, int lexState)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### curChar

    protected char curChar

Constructor Detail

### ParserTokenManager

    public ParserTokenManager(ASCII_UCodeESC_CharStream stream)

### ParserTokenManager

    public ParserTokenManager(ASCII_UCodeESC_CharStream stream,
                              int lexState)

Method Detail

### ReInit

    public void ReInit(ASCII_UCodeESC_CharStream stream)

### ReInit

    public void ReInit(ASCII_UCodeESC_CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.